Bug 454215 - Review Request: stk - Synthesis ToolKit in C++
Review Request: stk - Synthesis ToolKit in C++
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 443771
  Show dependency treegraph
 
Reported: 2008-07-06 16:32 EDT by Thomas Moschny
Modified: 2008-10-03 18:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 18:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-07-06 16:32:32 EDT
Spec URL: http://thm.fedorapeople.org/stk.spec
SRPM URL: http://thm.fedorapeople.org/stk-4.3.1-1.fc9.src.rpm

Description:
The Synthesis ToolKit in C++ (STK) is a set of open source audio
signal processing and algorithmic synthesis classes written in the C++
programming language. STK was designed to facilitate rapid development
of music synthesis and audio processing software, with an emphasis on
cross-platform functionality, realtime control, ease of use, and
educational example code. The Synthesis ToolKit is extremely portable
(it's mostly platform-independent C and C++ code), and it's completely
user-extensible (all source included, no unusual libraries, and no
hidden drivers). We like to think that this increases the chances that
our programs will still work in another 5-10 years. In fact, the
ToolKit has been working continuously for about 10 years now. STK
currently runs with realtime support (audio and MIDI) on Linux,
Macintosh OS X, and Windows computer platforms. Generic, non-realtime
support has been tested under NeXTStep, Sun, and other platforms and
should work with any standard C++ compiler.

Note: See the top of the spec file for a list of some open issues. The review should help solving them. This package is a prerequisite for lmms (bug 443771).
Comment 1 Nicolas Chauvet (kwizart) 2008-07-08 12:33:13 EDT
That' very strange, they use an autotools configure script but the Makefile.in
isn't automake compliant. Is there any reasons not to move to an plain
Makefile.am file (using automake and probably libtool also)?

Do you know if there is problem while realtime is enabled and if it will lead to
ABI changes ?
Comment 2 Thomas Moschny 2008-07-08 14:27:44 EDT
(In reply to comment #1)
> That' very strange, they use an autotools configure script but the Makefile.in
> isn't automake compliant.

I think it is perfectly alright to use autoconf but not automake. 

> Is there any reasons not to move to an plain Makefile.am file (using automake
> and probably libtool also)?

That'd be an upstream decision, and it would probably alleviate building the
shared lib for us. But honestly, my sharedlib patch isn't that complicated, and
as far as I see, it's working. So I'm not going to waste my time struggling with
autotools, unless I can clearly see what gain that could have. We don't care
whether it's portable or something, as long as it works on Fedora.

Other way round, do you see anything not working properly the way it is now?

> Do you know if there is problem while realtime is enabled and if it will lead
> to ABI changes ?

Can you rephrase, please? I don't understand that question.
Comment 3 Thomas Moschny 2008-07-08 14:39:03 EDT
Ops. Wrong order of bug dependency, sorry.
Comment 4 Thomas Moschny 2008-07-16 04:11:06 EDT
Spec URL: http://thm.fedorapeople.org/stk.spec
SRPM URL: http://thm.fedorapeople.org/stk-4.3.1-2.fc9.src.rpm

%changelog
* Tue Jul 15 2008 Thomas Moschny <..> - 4.3.1-2
- Update sharedlib patch, fixes alsa problem.
- Fix path for include files in -devel.
- Change path for docs in -devel.
Comment 5 Thomas Moschny 2008-07-16 04:15:13 EDT
Here's the list of files with (at least to me) unclear legal status

 - src/include/dsound.h
 - src/include/soundcard.h
 - projects/demo/scores/*.ski
 - projects/examples/scores/*.ski
 - projects/examples/midifiles/*.mid
 - doc/html/tutorial/*.ski

It would be nice if someone could comment or help me sorting this out.
Comment 6 Nicolas Chauvet (kwizart) 2008-07-20 06:57:16 EDT
for src/include/dsound.h I expect it shouldn't be ship in this release. Instead
win32 users will need to download this file separely.
for src/include/soundcard.h, This file explicitely prevent modification. As such
we cannot allow this. But there is another soundcard.h (licensed as GPLv2 only)
that can be downloaded from http://www.4front-tech.com/developer/sources/stable/
There is others license available, but I think linux support will need the GPLv2
version. 
So i think there is two solutions: 
- repack the sources with soundcard.h Gplv2 version (and remove
src/include/dsound.h will be needed anyhow). 
- Or disable OSS support with the filed removed.
Fedora doesn't use OSS anyway (only emulated from alsa), so if needed, it could
be possible to have a replacement version (in _libdir/stk-oss ). My guess is
that ABI compatibility will be preserved in the dependent applications (but
maybe i'm wrong).
For the ski,mid file, it would be fine to have the respective authors to be
aware of providing a free license (Creative commons?) when they are provided
within FOSS. Not all files have an Author but there is at least:
///YEM: Rights to all derivative electronic formats reserved.
in projects/examples/scores/bachfugue.ski
If unsure, they can still be removed... 

Anyway it would be nice to ask upstream for advices on each cases.
Comment 7 Nicolas Chauvet (kwizart) 2008-07-20 17:17:04 EDT
There is a list of undefined-non-weak-symbol that are usually the sign of a
missing LIB_ADD Flagh at linkig time. -ljack -lpthread and others
Theses symbols will be resolved at runtime if not specified are linking time.
And may silently break if they are not found.

stk.x86_64: W: incoherent-version-in-changelog 4.3.1-1 4.3.1-1.fc8.kwizart
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_set_channels
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_set_period_size_near
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_readi
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 jack_on_shutdown
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 jack_port_name
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_set_rate_near
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_get_name
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_free_event
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_subscribe_free
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 jack_connect
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_get_client
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_event_output
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_state_name
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_set_port
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
jack_port_by_name
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_client_info_sizeof
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_midi_event_init
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_set_access
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
jack_set_process_callback
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_strerror
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_client_id
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_format_cpu_endian
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_info_set_device
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_event_input
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_close
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 jack_deactivate
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 jack_client_new
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
jack_port_register
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_create_simple_port
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
jack_set_xrun_callback
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_info_set_subdevice
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_subscribe_set_time_real
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_set_periods_near
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_writen
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_drain_output
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_card_get_name
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
jack_port_get_buffer
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_set_timestamping
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_state
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_query_next_client
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_queue_tempo_set_tempo
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 jack_get_ports
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_get_channels_min
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_unsubscribe_port
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_seq_open
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_midi_event_resize_buffer
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_midi_event_free
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_ctl_open
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_set_type
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_midi_event_new
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_set_client
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_get_channels_max
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_client_info_get_client
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_test_format
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_set_timestamp_real
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_delay
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_drain
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_set_midi_channels
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_set_name
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_get_capability
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 pthread_create
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_open
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_midi_event_decode
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 jack_activate
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_sw_params_set_silence_threshold
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_set_format
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_subscribe_port
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_writei
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_ctl_close
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_sw_params_sizeof
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_sizeof
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_set_capability
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
pthread_testcancel
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_set_queue_tempo
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
jack_get_sample_rate
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_create_port
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_test_rate
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_client_info_set_client
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_get_port
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_ctl_pcm_next_device
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_midi_event_no_status
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
jack_get_buffer_size
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
jack_port_get_latency
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_any
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
jack_client_close
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_event_input_pending
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_queue_tempo_set_ppq
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_sw_params_current
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_queue_tempo_sizeof
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_alloc_named_queue
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_link
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_midi_event_encode
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_free_queue
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_info_set_timestamp_queue
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 pthread_cancel
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_info_sizeof
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_control_queue
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_ctl_pcm_info
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_query_next_port
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_subscribe_set_dest
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_drop
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_subscribe_set_time_update
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_sw_params_set_start_threshold
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_subscribe_set_sender
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_info_set_stream
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_readn
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_sw_params_set_stop_threshold
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_card_next
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_sw_params_set_silence_size
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_port_subscribe_malloc
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_seq_close
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_sw_params
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 snd_pcm_prepare
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_pcm_hw_params_sizeof
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_delete_port
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1
snd_seq_set_client_name
stk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstk.so.4.3.1 pthread_join
Comment 8 Thomas Moschny 2008-07-21 02:51:18 EDT
(In reply to comment #7)
> There is a list of undefined-non-weak-symbol that are usually the sign of a
> missing LIB_ADD Flagh at linkig time. -ljack -lpthread and others
> Theses symbols will be resolved at runtime if not specified are linking time.
> And may silently break if they are not found.

Do you really see that with my latest version, 4.3.1-2 (see comment #4)?

> stk.x86_64: W: incoherent-version-in-changelog 4.3.1-1 4.3.1-1.fc8.kwizart

Hmm, seems you checked on old version.
Comment 9 Thomas Moschny 2008-08-10 08:38:59 EDT
Current status of this package:

Spec URL: http://thm.fedorapeople.org/stk.spec
SRPM URL: http://thm.fedorapeople.org/stk-4.3.1-3.fc9.src.rpm

%changelog
* Thu Jul 31 2008 Thomas Moschny <...> - 4.3.1-3
- Remove src/include/dsound.h, and src/include/*asio* files from the
  tarball, for legal reasons. Only used on windows anyway.
- Remove src/include/soundcard.h (explicitly forbids modification) and
  disable OSS support.
- Build and pack Md2Skini.
- Build and pack the examples.
Comment 10 Tom "spot" Callaway 2008-09-02 12:29:46 EDT
What is the legal concern here? Do you just want me to do a general audit on the package?
Comment 11 Thomas Moschny 2008-09-02 14:27:54 EDT
(In reply to comment #10)
> What is the legal concern here? Do you just want me to do a general audit on
> the package?

In short: yes.

Long answer: Even after talking to upstream, the legal status of some files remains unclear to me, especially that of the .mdi and .ski files.

Quoting Gary Scavone, one of the authors:

"... I think there should be no issue with the .ski files because most were originally created by Perry Cook himself.  It is possible a few were created by Craig Sapp's MIDI to SKINI converter from MIDI files (though only Bach pieces).  As for the MIDI files, I downloaded a few over time, like the bach fugue.  I think the copyright notice you see there (David Huron) is for the software that was used to do the MIDI to SKINI conversion.  Bach's music is clearly no longer copyright protected.  So, if there's any issue, it _might_ be the tango, but I don't know if that has an author.  Worst case ... just delete the tango file, since the other stuff is Bach and the rights are clear. ..."


While the music (composition) itself might not be copyright protected
anymore, a certain performance might be, I think.

There are three midi files:

- bwv772.mid has a notice that says the harpsichord was played by
John Sankey. Here's his copyright notice: http://www.sankey.ws/copyright.html.

- tango.mid has "Copyright 1996 R Finley", might be that one: http://www.classicalarchives.com/info/tango.txt.

- jesu.mid has "Copyright (C) 1992 MTA All rights reserved." I don't know who/what MTA is.

Not sure what to do about these three files, and I think some of the .ski files might be problematic as well.

Easiest solution would be to simply remove all of them.
Comment 12 Tom "spot" Callaway 2008-09-02 16:04:21 EDT
Agreed. Remove them all.

If and only if you can:
 * clearly determine the copyright holder
 * explicitly confirm from the copyright holder that we have permission to use 
   the content under an acceptable license.

Then, you can include those files on a case-by-case basis.

It might not be a bad idea to look for some Creative Commons licensed mid or ski files as possible replacements, or to ask on some of the Fedora lists if any musicians want to make some for you. Only thing you need to avoid are any of the files which are marked "NC" or "No Commercial".
Comment 13 Thomas Moschny 2008-09-08 03:08:53 EDT
Thanks, spot. So, for now, I removed them all.

Spec URL: http://thm.fedorapeople.org/stk.spec
SRPM URL: http://thm.fedorapeople.org/stk-4.3.1-4.fc9.src.rpm

%changelog
* Sun Sep  7 2008 Thomas Moschny <...> - 4.3.1-4
- Remove all .mid and .ski files from the tarball.
- Add README.fedora.
Comment 14 Nicolas Chauvet (kwizart) 2008-09-09 12:58:35 EDT
Can you split %{_libdir}/libstk.a into another package (-static)
if the static version is really needed. (I expect not...)

Then I think we are good...
Comment 15 Thomas Moschny 2008-09-09 14:55:54 EDT
Spec URL: http://thm.fedorapeople.org/stk.spec
SRPM URL: http://thm.fedorapeople.org/stk-4.3.1-5.fc9.src.rpm

%changelog
* Tue Sep  9 2008 Thomas Moschny <...> - 4.3.1-5
- Don't ship the static library.
Comment 16 Nicolas Chauvet (kwizart) 2008-09-15 09:52:26 EDT
mock test failed in Rawhide for ppc64
http://koji.fedoraproject.org/koji/taskinfo?taskID=826035

FE-Legal is left
Comment 17 Thomas Moschny 2008-09-15 17:02:26 EDT
(In reply to comment #16)
> mock test failed in Rawhide for ppc64
> http://koji.fedoraproject.org/koji/taskinfo?taskID=826035

Should be fixed:

Spec URL: http://thm.fedorapeople.org/stk.spec
SRPM URL: http://thm.fedorapeople.org/stk-4.3.1-6.fc9.src.rpm

%changelog
* Mon Sep 15 2008 Thomas Moschny <...> - 4.3.1-6
- Include updated config.guess and config.sub scripts.
Comment 18 Nicolas Chauvet (kwizart) 2008-09-16 10:46:59 EDT
Package built fine in Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=828097


This package (stk) is APPROVED by me
Comment 19 Thomas Moschny 2008-09-16 14:26:55 EDT
Thanks for the review!


New Package CVS Request
=======================
Package Name: stk
Short Description: Synthesis ToolKit in C++
Owners: thm
Branches: F-8 F-9
InitialCC: none
Cvsextras Commits: yes
Comment 20 Huzaifa S. Sidhpurwala 2008-09-16 23:15:55 EDT
cvs done
Comment 21 Fedora Update System 2008-09-19 06:39:53 EDT
stk-4.3.1-6.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/stk-4.3.1-6.fc8
Comment 22 Fedora Update System 2008-09-19 06:41:07 EDT
stk-4.3.1-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/stk-4.3.1-6.fc9
Comment 23 Fedora Update System 2008-09-24 20:01:40 EDT
stk-4.3.1-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update stk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8185
Comment 24 Fedora Update System 2008-09-24 20:23:29 EDT
stk-4.3.1-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update stk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8333
Comment 25 Fedora Update System 2008-10-03 18:27:50 EDT
stk-4.3.1-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2008-10-03 18:35:40 EDT
stk-4.3.1-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.